wl_shm_listener Struct Reference
The wl_shm interface

`#include <wayland-client-protocol.h>`

## Data Fields

void(* | format )(void *data, struct wl_shm *wl_shm, uint32_t format)

## Detailed Description

Definition at line 1594 of file wayland-client-protocol.h.

## Field Documentation

## format

void(* wl_shm_listener::format) (void *data, struct wl_shm *wl_shm, uint32_t format)

pixel format description

Informs the client about a valid pixel format that can be used for buffers. Known formats include argb8888 and xrgb8888.

Parameters

  format | buffer pixel format

Definition at line 1602 of file wayland-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/wayland-client-protocol.h